#tp.mod

param NPLANT ;
param NDEMAND ;
param c {i in 1..NPLANT, j in 1..NDEMAND}>=0;
param S {i in 1..NPLANT}>=0; 
param D {j in 1..NDEMAND}>=0;

var x {i in 1..NPLANT, j in 1..NDEMAND} >=0;

minimize totalcost: 
 sum {i in 1..NPLANT, j in 1..NDEMAND} c[i,j]*x[i,j];

subject to supply {i in 1..NPLANT}:
 sum {j in 1..NDEMAND}x[i,j] = S[i];

subject to demand {j in 1..NDEMAND}:
 sum {i in 1..NPLANT}x[i,j]  = D[j];





